package com.utils;

import com.mhgl.servlet.SystemInit;
import com.utils.AESUtils;
import com.utils.DateStyle;
import com.utils.DateUtil;
import com.utils.EnDeCryption;
import com.utils.IpUtils;
import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Set;
import org.apache.commons.lang3.StringUtils;
import org.apache.commons.lang3.math.NumberUtils;

public class SysAuthUtil {

   public static boolean checkCertKey(String unitid, String ume) {
      System.out.println("--------------------unitid:" + unitid);
      System.out.println("--------------------ume:" + ume);
      boolean timeRst = false;
      boolean certRst = false;
      if(StringUtils.isEmpty(unitid)) {
         System.out.println("unitid or key is null");
         return false;
      } else if(StringUtils.isEmpty(ume)) {
         System.out.println("ume is null");
         return false;
      } else {
         String key = (String)((Map)SystemInit.getInstance().SYSCONSTANT.get(unitid)).get("COMMON_URL");
         if(!EnDeCryption.getencString(unitid).equals(ume.substring(0, 32))) {
            System.out.println("unitid is invalid");
            return false;
         } else {
            if((new Date()).getTime() > NumberUtils.toLong(AESUtils.decrypt(ume.substring(32, 64), key))) {
               System.out.println("timeRst=false");
               timeRst = false;
            } else {
               timeRst = true;
            }

            try {
               Set e = IpUtils.getMacSet();
               String mackeys = ume.substring(64);
               List keyArr = getStrList(mackeys, 32);
               Iterator var8 = e.iterator();

               while(var8.hasNext()) {
                  String mac = (String)var8.next();
                  System.out.println("mac=" + mac);
                  Iterator var10 = keyArr.iterator();

                  while(var10.hasNext()) {
                     String k = (String)var10.next();
                     if(k.equals(EnDeCryption.getencString(mac + unitid + key))) {
                        certRst = true;
                        break;
                     }
                  }
               }
            } catch (Exception var12) {
               var12.printStackTrace();
            }

            return timeRst && certRst;
         }
      }
   }

   public static List getStrList(String inputString, int length) {
      int size = inputString.length() / length;
      if(inputString.length() % length != 0) {
         ++size;
      }

      return getStrList(inputString, length, size);
   }

   public static List getStrList(String inputString, int length, int size) {
      ArrayList list = new ArrayList();

      for(int index = 0; index < size; ++index) {
         String childStr = StringUtils.substring(inputString, index * length, (index + 1) * length);
         list.add(childStr);
      }

      return list;
   }

   public static void getCertKey(String unitid, String[] macs, String common_url, String endDate) {
      String ume = EnDeCryption.getencString(unitid) + AESUtils.encrypt(String.valueOf(DateUtil.stringToDate(endDate, DateStyle.YYYY_MM_DD).getTime()), common_url);
      String[] l = macs;
      int var6 = macs.length;

      for(int s = 0; s < var6; ++s) {
         String mac = l[s];
         ume = ume + EnDeCryption.getencString(mac + unitid + common_url);
      }

      System.out.println("UME=" + ume);
      System.out.println("SERIALNO=" + AESUtils.encrypt(String.valueOf(DateUtil.stringToDate(endDate, DateStyle.YYYY_MM_DD).getTime()), common_url));
      List var9 = getStrList("85c3fbfa157ea16aeb4947388363579b01fe089821341a8c81f47b8fdb00421", 32);
      Iterator var10 = var9.iterator();

      while(var10.hasNext()) {
         String var11 = (String)var10.next();
         System.out.println(var11);
      }

   }

   public static void main(String[] args) {
      getCertKey("lmacj", new String[]{"14-DD-A9-25-62-F8", "00-00-00-00-00-00-00-E0"}, "http://192.168.2.33:8080/yiyi-system", "2022-07-21");
   }
}
